> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caspen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all form templates



## OpenAPI

````yaml GET /form_templates
openapi: 3.1.0
info:
  title: Caspen
  version: 0.0.1
servers:
  - url: https://api.caspen.com/v1
    description: Production
security: []
paths:
  /form_templates:
    get:
      tags:
        - FormTemplate
      operationId: formTemplate.index
      parameters:
        - name: cursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 10
      responses:
        '200':
          description: Paginated set of `FormTemplateResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/FormTemplateCollection'
                  links:
                    type: object
                    properties:
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - prev
                      - next
                required:
                  - data
                  - links
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    FormTemplateCollection:
      type: array
      items:
        $ref: '#/components/schemas/FormTemplateResource'
      title: FormTemplateCollection
    FormTemplateResource:
      type: object
      properties:
        id:
          type: string
          description: The form template's unique identifier.
          examples:
            - fte_01HYHYQHA682J0K1RW7B2HVA9F
        category_id:
          type:
            - string
            - 'null'
          description: The identifier of the category the form template belongs to.
          examples:
            - ftc_01HYHYW37MTYJPMT5JV4RN99GK
        name:
          type: string
          description: The form template's name.
          examples:
            - Intake questionnaire
        type:
          $ref: '#/components/schemas/FormTemplateType'
          description: >-
            The form template's type. Client templates are sent to existing
            clients, intake templates are completed by new clients.
          examples:
            - client
        published:
          type: boolean
          description: Whether an intake template is publicly available at its hosted URL.
          examples:
            - true
        color:
          type: string
          description: The form template's display colour.
          examples:
            - blue
        completion_message:
          type: string
          description: >-
            The message shown to the client once a form from this template is
            submitted.
          examples:
            - Thanks for completing your form.
        prefill_client_fields:
          type: boolean
          description: >-
            Whether the client's existing details are prefilled into forms
            created from this template.
          examples:
            - true
        override_client_fields:
          type: boolean
          description: >-
            Whether submitting a form created from this template overwrites the
            client's existing details.
          examples:
            - false
        send_client_notification:
          type: boolean
          description: >-
            Whether the client is notified when a form from this template is
            sent to them.
          examples:
            - true
        send_user_notification:
          type: boolean
          description: >-
            Whether users are notified when a form from this template is
            submitted.
          examples:
            - true
        attach_pdf_to_user_notification:
          type: boolean
          description: >-
            Whether a PDF of the submitted form is attached to the user
            notification.
          examples:
            - false
        notification_user_ids:
          type:
            - array
            - 'null'
          description: >-
            The identifiers of the users notified when a form from this template
            is submitted.
          examples:
            - - usr_01HYHYQHA682J0K1RW7B2HVA9F
          items:
            type: string
        reminders_enabled:
          type: boolean
          description: >-
            Whether reminders are sent to clients who have not completed their
            form.
          examples:
            - true
        content:
          type: array
          description: The form template's pages, sections and questions.
          items:
            type: object
            properties:
              sections:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                    description:
                      type:
                        - string
                        - 'null'
                    questions:
                      type: array
                      items:
                        type: object
                        additionalProperties: {}
                  required:
                    - title
                    - description
                    - questions
        hosted_url:
          type: string
          description: The public URL where an intake form template can be completed.
          examples:
            - >-
              https://example.caspen.com/public-form/fte_01HYHYQHA682J0K1RW7B2HVA9F
        tag_ids:
          type: array
          description: The IDs of tags attached to the form template.
          examples:
            - - tag_01HYHYQHA682J0K1RW7B2HVA9F
              - tag_01HYHYW37MTYJPMT5JV4RN99GK
          items:
            type: string
        archived_at:
          type:
            - string
            - 'null'
          description: >-
            The timestamp when the form template was archived (ISO 8601), or
            null if it is active.
          examples:
            - '2024-02-01T09:00:00Z'
        created_at:
          type: string
          description: The timestamp when the form template was created (ISO 8601).
          examples:
            - '2024-01-01T12:00:00Z'
      title: FormTemplateResource
    FormTemplateType:
      type: string
      enum:
        - client
        - intake
      title: FormTemplateType
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````